import request from '@/utils/request'

// 查询生产性生物资产列表
export function listProductive(query) {
  return request({
    url: '/asset/productive/list',
    method: 'get',
    params: query
  })
}

// 统计查询生产性生物资产列表
export function statisticProductive(query) {
  return request({
    url: '/asset/productive/statistic',
    method: 'get',
    params: query
  })
}

// 导出生产性生物资产
export function exportProductive(query) {
  return request({
    url: '/asset/productive/export',
    method: 'get',
    params: query
  })
}

// 查询生产性生物资产详细
export function getProductive(id) {
  return request({
    url: '/asset/productive/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增生产性生物资产
export function addProductive(data) {
  return request({
    url: '/asset/productive/add',
    method: 'post',
    data: data
  })
}

// 修改生产性生物资产
export function updateProductive(data) {
  return request({
    url: '/asset/productive/edit',
    method: 'post',
    data: data
  })
}

// 删除生产性生物资产
export function delProductive(id) {
  return request({
    url: '/asset/productive/remove/' + id,
    method: 'get'
  })
}

